/*  代码由框架生成,任何更改都可能导致被代码生成器覆盖，可自行修改。
* Ghrp_PerformanceItem.cs
*
*功 能： N / A
* 类 名： Ghrp_PerformanceItem
*
* Ver    变更日期 负责人  变更内容
* ───────────────────────────────────
*V0.01  2025/4/23 14:05:59  SimonHsiao   初版
*
* Copyright(c) 2025 Tiobon Corporation. All Rights Reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　作者：SimonHsiao                                                  │
*└──────────────────────────────────┘
*/

namespace Tiobon.Core.Model.Models;

/// <summary>
/// 考核指标(Dto.View1)
/// </summary>
public class Ghrp_PerformanceItemDto : Ghrp_PerformanceItem
{
    /// <summary>
    /// 创建信息
    /// </summary>
    public string CreateDataInfo { get; set; }

    /// <summary>
    /// 修改信息
    /// </summary>
    public string UpdateDataInfo { get; set; }
    public string BeginDateStr => BeginDate?.ToString("yyyy-MM-dd") ?? string.Empty;
    public string EndDateStr => EndDate?.ToString("yyyy-MM-dd") ?? string.Empty;

    public string ItemStatus
    {
        get
        {
            DateTime now = DateTime.Now;  

            if (now < BeginDate)
            {
                return "未生效"; 
            }

            if (EndDate.HasValue)
            {
                return now > EndDate.Value ? "已失效" : "生效中"; 
            }

            return "生效中";   
        }
    }
}
